> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qall.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Dashboard



## OpenAPI

````yaml /openapi.json patch /api/analytics/dashboards/{dashboard_id}
openapi: 3.1.0
info:
  description: >-
    Build and run voice assistants: configure an assistant, give it tools,
    knowledge and playbooks, place and read calls, and manage contacts,
    campaigns and analytics.


    Authenticate every request with an API key as a bearer token. See the API
    introduction for the response envelope, pagination and error shapes.
  title: Qall API
  version: 0.1.0
servers:
  - description: Production
    url: https://qall.io
security: []
paths:
  /api/analytics/dashboards/{dashboard_id}:
    patch:
      tags:
        - analytics
      summary: Update Dashboard
      operationId: update_dashboard_api_analytics_dashboards__dashboard_id__patch
      parameters:
        - in: path
          name: dashboard_id
          required: true
          schema:
            title: Dashboard Id
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateDashboardRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema: {}
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    UpdateDashboardRequest:
      properties:
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        name:
          anyOf:
            - maxLength: 200
              type: string
            - type: 'null'
          title: Name
        period_filter:
          anyOf:
            - $ref: '#/components/schemas/PeriodFilter'
            - type: 'null'
        settings:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Settings
      title: UpdateDashboardRequest
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    PeriodFilter:
      properties:
        custom:
          anyOf:
            - $ref: '#/components/schemas/CustomDateRange'
            - type: 'null'
        preset:
          anyOf:
            - enum:
                - 1h
                - 24h
                - 7d
                - 30d
                - 90d
                - 12m
                - all
              type: string
            - type: 'null'
          title: Preset
      title: PeriodFilter
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    CustomDateRange:
      properties:
        from:
          title: From
          type: string
        to:
          title: To
          type: string
      required:
        - from
        - to
      title: CustomDateRange
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.